<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BATBlock (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BATBlock (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BATBlock.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
               title="class in org.apache.poi.poifs.storage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/storage/BATBlock.html" target="_top">Frames</a></li>
        <li><a href="BATBlock.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.storage</div>
    <h2 title="Class BATBlock" class="title">Class BATBlock</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.storage.BATBlock</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/storage/BlockWritable.html"
                           title="interface in org.apache.poi.poifs.storage">BlockWritable</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">BATBlock</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/poifs/storage/BlockWritable.html"
              title="interface in org.apache.poi.poifs.storage">BlockWritable</a></pre>
                <div class="block">A block of block allocation table entries. BATBlocks are created
                    only through a static factory method: createBATBlocks.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#calculateMaximumSize-org.apache.poi.poifs.storage.HeaderBlock-">calculateMaximumSize</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                        title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;header)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#calculateMaximumSize-org.apache.poi.poifs.common.POIFSBigBlockSize-int-">calculateMaximumSize</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize,
                                    int&nbsp;numBATs)</code>
                                    <div class="block">Calculates the maximum size of a file which is addressable given
                                        the
                                        number of FAT (BAT) sectors specified.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#createBATBlock-org.apache.poi.poifs.common.POIFSBigBlockSize-java.nio.ByteBuffer-">createBATBlock</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize,
                                    java.nio.ByteBuffer&nbsp;data)</code>
                                    <div class="block">Create a single BATBlock from the byte buffer, which must hold at
                                        least
                                        one big block of data to be read.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#createEmptyBATBlock-org.apache.poi.poifs.common.POIFSBigBlockSize-boolean-">createEmptyBATBlock</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize,
                                    boolean&nbsp;isXBAT)</code>
                                    <div class="block">Creates a single BATBlock, with all the values set to empty.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#getBATBlockAndIndex-int-org.apache.poi.poifs.storage.HeaderBlock-java.util.List-">getBATBlockAndIndex</a></span>(int&nbsp;offset,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                       title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;header,
                                    java.util.List&lt;<a
                                            href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                            title="class in org.apache.poi.poifs.storage">BATBlock</a>&gt;&nbsp;bats)</code>
                                    <div class="block">Returns the BATBlock that handles the specified offset,
                                        and the relative index within it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#getOurBlockIndex--">getOurBlockIndex</a></span>()</code>
                                    <div class="block">Retrieve where in the file we live</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#getSBATBlockAndIndex-int-org.apache.poi.poifs.storage.HeaderBlock-java.util.List-">getSBATBlockAndIndex</a></span>(int&nbsp;offset,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                       title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;header,
                                    java.util.List&lt;<a
                                            href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                            title="class in org.apache.poi.poifs.storage">BATBlock</a>&gt;&nbsp;sbats)</code>
                                    <div class="block">Returns the BATBlock that handles the specified offset,
                                        and the relative index within it, for the mini stream.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#getUsedSectors-boolean-">getUsedSectors</a></span>(boolean&nbsp;isAnXBAT)</code>
                                    <div class="block">How many sectors in this block are taken?
                                        Note that calling <a
                                                href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#hasFreeSectors--"><code>hasFreeSectors()</code></a>
                                        is much quicker
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#getValueAt-int-">getValueAt</a></span>(int&nbsp;relativeOffset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#hasFreeSectors--">hasFreeSectors</a></span>()</code>
                                    <div class="block">Does this BATBlock have any free sectors in it, or
                                        is it full?
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#setOurBlockIndex-int-">setOurBlockIndex</a></span>(int&nbsp;index)</code>
                                    <div class="block">Record where in the file we live</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#setValueAt-int-int-">setValueAt</a></span>(int&nbsp;relativeOffset,
                                    int&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#writeBlocks-java.io.OutputStream-">writeBlocks</a></span>(java.io.OutputStream&nbsp;stream)</code>
                                    <div class="block">Write the block's data to an OutputStream</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#writeData-java.nio.ByteBuffer-">writeData</a></span>(java.nio.ByteBuffer&nbsp;block)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createBATBlock-org.apache.poi.poifs.common.POIFSBigBlockSize-java.nio.ByteBuffer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBATBlock</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock</a>&nbsp;createBATBlock(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize,
                                      java.nio.ByteBuffer&nbsp;data)</pre>
                                <div class="block">Create a single BATBlock from the byte buffer, which must hold at
                                    least
                                    one big block of data to be read.
                                </div>
                            </li>
                        </ul>
                        <a name="createEmptyBATBlock-org.apache.poi.poifs.common.POIFSBigBlockSize-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createEmptyBATBlock</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock</a>&nbsp;createEmptyBATBlock(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize,
                                           boolean&nbsp;isXBAT)</pre>
                                <div class="block">Creates a single BATBlock, with all the values set to empty.</div>
                            </li>
                        </ul>
                        <a name="calculateMaximumSize-org.apache.poi.poifs.common.POIFSBigBlockSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>calculateMaximumSize</h4>
                                <pre>public static&nbsp;long&nbsp;calculateMaximumSize(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize,
                                        int&nbsp;numBATs)</pre>
                                <div class="block">Calculates the maximum size of a file which is addressable given the
                                    number of FAT (BAT) sectors specified. (We don't care if those BAT
                                    blocks come from the 109 in the header, or from header + XBATS, it
                                    won't affect the calculation)

                                    The actual file size will be between [size of fatCount-1 blocks] and
                                    [size of fatCount blocks].
                                    For 512 byte block sizes, this means we may over-estimate by up to 65kb.
                                    For 4096 byte block sizes, this means we may over-estimate by up to 4mb
                                </div>
                            </li>
                        </ul>
                        <a name="calculateMaximumSize-org.apache.poi.poifs.storage.HeaderBlock-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>calculateMaximumSize</h4>
                                <pre>public static&nbsp;long&nbsp;calculateMaximumSize(<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                        title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;header)</pre>
                            </li>
                        </ul>
                        <a name="getBATBlockAndIndex-int-org.apache.poi.poifs.storage.HeaderBlock-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBATBlockAndIndex</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a>&nbsp;getBATBlockAndIndex(int&nbsp;offset,
                                                            <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                                               title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;header,
                                                            java.util.List&lt;<a
                                            href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                            title="class in org.apache.poi.poifs.storage">BATBlock</a>&gt;&nbsp;bats)</pre>
                                <div class="block">Returns the BATBlock that handles the specified offset,
                                    and the relative index within it.
                                    The List of BATBlocks must be in sequential order
                                </div>
                            </li>
                        </ul>
                        <a name="getSBATBlockAndIndex-int-org.apache.poi.poifs.storage.HeaderBlock-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSBATBlockAndIndex</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
                                        title="class in org.apache.poi.poifs.storage">BATBlock.BATBlockAndIndex</a>&nbsp;getSBATBlockAndIndex(int&nbsp;offset,
                                                             <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                                                title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;header,
                                                             java.util.List&lt;<a
                                            href="../../../../../org/apache/poi/poifs/storage/BATBlock.html"
                                            title="class in org.apache.poi.poifs.storage">BATBlock</a>&gt;&nbsp;sbats)</pre>
                                <div class="block">Returns the BATBlock that handles the specified offset,
                                    and the relative index within it, for the mini stream.
                                    The List of BATBlocks must be in sequential order
                                </div>
                            </li>
                        </ul>
                        <a name="hasFreeSectors--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasFreeSectors</h4>
                                <pre>public&nbsp;boolean&nbsp;hasFreeSectors()</pre>
                                <div class="block">Does this BATBlock have any free sectors in it, or
                                    is it full?
                                </div>
                            </li>
                        </ul>
                        <a name="getUsedSectors-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUsedSectors</h4>
                                <pre>public&nbsp;int&nbsp;getUsedSectors(boolean&nbsp;isAnXBAT)</pre>
                                <div class="block">How many sectors in this block are taken?
                                    Note that calling <a
                                            href="../../../../../org/apache/poi/poifs/storage/BATBlock.html#hasFreeSectors--"><code>hasFreeSectors()</code></a>
                                    is much quicker
                                </div>
                            </li>
                        </ul>
                        <a name="getValueAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValueAt</h4>
                                <pre>public&nbsp;int&nbsp;getValueAt(int&nbsp;relativeOffset)</pre>
                            </li>
                        </ul>
                        <a name="setValueAt-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValueAt</h4>
                                <pre>public&nbsp;void&nbsp;setValueAt(int&nbsp;relativeOffset,
                       int&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setOurBlockIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOurBlockIndex</h4>
                                <pre>public&nbsp;void&nbsp;setOurBlockIndex(int&nbsp;index)</pre>
                                <div class="block">Record where in the file we live</div>
                            </li>
                        </ul>
                        <a name="getOurBlockIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOurBlockIndex</h4>
                                <pre>public&nbsp;int&nbsp;getOurBlockIndex()</pre>
                                <div class="block">Retrieve where in the file we live</div>
                            </li>
                        </ul>
                        <a name="writeBlocks-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeBlocks</h4>
                                <pre>public&nbsp;void&nbsp;writeBlocks(java.io.OutputStream&nbsp;stream)
                 throws java.io.IOException</pre>
                                <div class="block">Write the block's data to an OutputStream</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/storage/BlockWritable.html#writeBlocks-java.io.OutputStream-">writeBlocks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/storage/BlockWritable.html"
                                                title="interface in org.apache.poi.poifs.storage">BlockWritable</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the OutputStream to which the stored data should
                                        be written
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on problems writing to the specified
                                        stream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeData-java.nio.ByteBuffer-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeData</h4>
                                <pre>public&nbsp;void&nbsp;writeData(java.nio.ByteBuffer&nbsp;block)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BATBlock.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/poifs/storage/BATBlock.BATBlockAndIndex.html"
               title="class in org.apache.poi.poifs.storage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/storage/BATBlock.html" target="_top">Frames</a></li>
        <li><a href="BATBlock.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
